Subject: Re: [PATCH v3 0/4] Batch prefetching

From: Derrick Stolee <[email-masked]>
Date: Mon, 18 May 2026 08:17:15 -0400

On 5/14/2026 12:25 PM, Elijah Newren via GitGitGadget wrote:
> Changes since v2:
> 
>  * Modified the final patch as suggested by Stolee to include pathspec usage
>    in the testcase
>  * Modified the last two patches to not re-download blobs we already have
>    locally, and adjusted the tests to verify
>  * Inserted a new first patch, containing a documentation addition that
>    would have helped me avoid making the above mistake in the first place.

Thank you for these changes. I reviewed the updates and documentation and
think this version is good to go. 
> Note: Stolee also suggest some code sharing or code movement in his review
> of v2 2/3, but possibly based on a misunderstanding of v2 2/3 (that patch
> isn't about a diff) and it's not clear to me what could be shared or moved,
> so that's not part of this round.

Your detailed responses in the v2 thread helped me understand that my thought
was misguided. Thanks for giving me extra confidence in your approach here.

-Stolee